Login
Newsletter
Werbung

Sicherheit: Mehrere Probleme in Xen
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in Xen
ID: SUSE-SU-2018:1216-1
Distribution: SUSE
Plattformen: SUSE OpenStack Cloud 7, SUSE Linux Enterprise Server for SAP 12-SP2, SUSE Enterprise Storage 4, SUSE Linux Enterprise Server 12-SP2-LTSS
Datum: Fr, 11. Mai 2018, 17:37
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-8897
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-10471
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-10472
Applikationen: Xen

Originalnachricht

   SUSE Security Update: Security update for xen
______________________________________________________________________________

Announcement ID: SUSE-SU-2018:1216-1
Rating: important
References: #1027519 #1086039 #1089152 #1089635 #1090820
#1090822 #1090823
Cross-References: CVE-2018-10471 CVE-2018-10472 CVE-2018-8897

Affected Products:
SUSE OpenStack Cloud 7
SUSE Linux Enterprise Server for SAP 12-SP2
SUSE Linux Enterprise Server 12-SP2-LTSS
SUSE Enterprise Storage 4
______________________________________________________________________________

An update that solves three vulnerabilities and has four
fixes is now available.

Description:

This update for xen fixes several issues.

These security issues were fixed:

- CVE-2018-8897: Prevent mishandling of debug exceptions on x86 (XSA-260,
bsc#1090820)
- Handle HPET timers in IO-APIC mode correctly to prevent malicious or
buggy HVM guests from causing a hypervisor crash or potentially
privilege escalation/information leaks (XSA-261, bsc#1090822)
- Prevent unbounded loop, induced by qemu allowing an attacker to
permanently keep a physical CPU core busy (XSA-262, bsc#1090823)
- CVE-2018-10472: x86 HVM guest OS users (in certain configurations) were
able to read arbitrary dom0 files via QMP live insertion of a CDROM, in
conjunction with specifying the target file as the backing file of a
snapshot (bsc#1089152).
- CVE-2018-10471: x86 PV guest OS users were able to cause a denial of
service (out-of-bounds zero write and hypervisor crash) via unexpected
INT 80 processing, because of an incorrect fix for CVE-2017-5754
(bsc#1089635).

These non-security issues were fixed:

- bsc#1086039: Ensure that Dom0 does represent DomU cpu flags correctly
- bsc#1027519: Fixed shadow mode guests


Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation
methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- SUSE OpenStack Cloud 7:

zypper in -t patch SUSE-OpenStack-Cloud-7-2018-841=1

- SUSE Linux Enterprise Server for SAP 12-SP2:

zypper in -t patch SUSE-SLE-SAP-12-SP2-2018-841=1

- SUSE Linux Enterprise Server 12-SP2-LTSS:

zypper in -t patch SUSE-SLE-SERVER-12-SP2-2018-841=1

- SUSE Enterprise Storage 4:

zypper in -t patch SUSE-Storage-4-2018-841=1



Package List:

- SUSE OpenStack Cloud 7 (x86_64):

xen-4.7.5_02-43.30.1
xen-debugsource-4.7.5_02-43.30.1
xen-doc-html-4.7.5_02-43.30.1
xen-libs-32bit-4.7.5_02-43.30.1
xen-libs-4.7.5_02-43.30.1
xen-libs-debuginfo-32bit-4.7.5_02-43.30.1
xen-libs-debuginfo-4.7.5_02-43.30.1
xen-tools-4.7.5_02-43.30.1
xen-tools-debuginfo-4.7.5_02-43.30.1
xen-tools-domU-4.7.5_02-43.30.1
xen-tools-domU-debuginfo-4.7.5_02-43.30.1

- SUSE Linux Enterprise Server for SAP 12-SP2 (x86_64):

xen-4.7.5_02-43.30.1
xen-debugsource-4.7.5_02-43.30.1
xen-doc-html-4.7.5_02-43.30.1
xen-libs-32bit-4.7.5_02-43.30.1
xen-libs-4.7.5_02-43.30.1
xen-libs-debuginfo-32bit-4.7.5_02-43.30.1
xen-libs-debuginfo-4.7.5_02-43.30.1
xen-tools-4.7.5_02-43.30.1
xen-tools-debuginfo-4.7.5_02-43.30.1
xen-tools-domU-4.7.5_02-43.30.1
xen-tools-domU-debuginfo-4.7.5_02-43.30.1

- SUSE Linux Enterprise Server 12-SP2-LTSS (x86_64):

xen-4.7.5_02-43.30.1
xen-debugsource-4.7.5_02-43.30.1
xen-doc-html-4.7.5_02-43.30.1
xen-libs-32bit-4.7.5_02-43.30.1
xen-libs-4.7.5_02-43.30.1
xen-libs-debuginfo-32bit-4.7.5_02-43.30.1
xen-libs-debuginfo-4.7.5_02-43.30.1
xen-tools-4.7.5_02-43.30.1
xen-tools-debuginfo-4.7.5_02-43.30.1
xen-tools-domU-4.7.5_02-43.30.1
xen-tools-domU-debuginfo-4.7.5_02-43.30.1

- SUSE Enterprise Storage 4 (x86_64):

xen-4.7.5_02-43.30.1
xen-debugsource-4.7.5_02-43.30.1
xen-doc-html-4.7.5_02-43.30.1
xen-libs-32bit-4.7.5_02-43.30.1
xen-libs-4.7.5_02-43.30.1
xen-libs-debuginfo-32bit-4.7.5_02-43.30.1
xen-libs-debuginfo-4.7.5_02-43.30.1
xen-tools-4.7.5_02-43.30.1
xen-tools-debuginfo-4.7.5_02-43.30.1
xen-tools-domU-4.7.5_02-43.30.1
xen-tools-domU-debuginfo-4.7.5_02-43.30.1


References:

https://www.suse.com/security/cve/CVE-2018-10471.html
https://www.suse.com/security/cve/CVE-2018-10472.html
https://www.suse.com/security/cve/CVE-2018-8897.html
https://bugzilla.suse.com/1027519
https://bugzilla.suse.com/1086039
https://bugzilla.suse.com/1089152
https://bugzilla.suse.com/1089635
https://bugzilla.suse.com/1090820
https://bugzilla.suse.com/1090822
https://bugzilla.suse.com/1090823

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Unterstützer werden
Neue Nachrichten
Werbung